/*
NB! Не удаляйте этот комментарий.
Тест создан программой TestMaker VVZ 2.3
автор: Валентина Захаркина
author: Valentina Zakharkina
E-mail: vvz@icape.nw.ru
http://vvz.nw.ru
*/
  var inputText='#004080';
  var inputTextRight='#BF0000';
  var inputTextWrong='#000000';
  var frameBgColor='#FFFFFF';
  var frameBackgroundSrc='bg.gif';
  var frameLink='#004080';
  var frameAlink='#FF0000';
  var frameVlink='#004080';
  var questions=9;
  var maxtries=1;
    
    var answered_questions_w = parent.response.answered_questions;
    var ball_w = parent.response.ball;
    var maxball_w = parent.response.maxball;
    
    var regname = parent.response.regname;

    var nmbr_of_tries;
    var correct=false;
    var corr_done;
    var comment='';
    var comment1;
    var regname='';
    var txtcol;
    var ballik;
  
  // ______________________ для оценки результатов:

  resultEstimation = new Array('Замечательный результат!','Это хороший результат.','Вполне прилично.','Неплохо, но можно лучше.','Результат не очень хороший.','Наверное, Вы были невнимательны. Слишком много ошибок.');
  
  resultPercent = new Array(1,0.85,0.75,0.65,0.55,0);    
// _____________________________________________________________________


 function Register(GoToLocation)
 {var comment3;
  
  regname = document.reg.regname.value;
  parent.response.document.f.comment_show.style.color = inputText;
  
  if (regname=='') {comment3='Повторите попытку регистрации'}
    else {comment3='Приветствую Вас, '+regname+'! Отмечайте правильные ответы на вопросы и нажимайте на кнопку "Отвечаю"'};       
 
  parent.response.document.f.comment_show.value = comment3;
  
  if (regname!='')
  {
    parent.response.regname = regname; 
    document.location.href = GoToLocation
  }
   };   //Register
  
  // _____________________________________________________________________
  
  
  function Check_Single(quest_nom,ans,ball_q,quest_nom_pp)
  { correct=false;
    ballik=ball_q;
    if (eval( 'document.test.r'+quest_nom+'['+(ans-1)+']'+'.checked' )) {correct=true};
    parent.response.nmbr_of_tries_single[quest_nom] = parent.response.nmbr_of_tries_single[quest_nom] + 1;
    nmbr_of_tries = parent.response.nmbr_of_tries_single[quest_nom];
    corr_done = parent.response.corr_single[quest_nom];
    if (correct==true) {parent.response.corr_single[quest_nom] = 1;};
    Response(quest_nom,quest_nom_pp);
  };  //Check_Single
  
  // _____________________________________________________________________
  
  
  function Check_Multi(quest_nom,nmbr_of_answers,str_ans,ball_q,quest_nom_pp)
  { correct=true;
    ballik=ball_q;
    var str0 = '';
    var w;
 
    for (i=1;i<=nmbr_of_answers;i++)
     { 
       if ( eval( 'document.test.cb'+quest_nom+i+'.checked' ) ) { w = '1' }
       else   { w = '0' };
       
       str0 = str0 + w;
     };
     
    if ( str_ans==str0 ) {correct=true} 
    else             {correct=false};
    
    parent.response.nmbr_of_tries_multi[quest_nom] = parent.response.nmbr_of_tries_multi[quest_nom] + 1;
    nmbr_of_tries = parent.response.nmbr_of_tries_multi[quest_nom];
    corr_done = parent.response.corr_multi[quest_nom];
    if (correct==true) {parent.response.corr_multi[quest_nom] = 1};
    Response(quest_nom,quest_nom_pp);
  };  // Check_Multi
  
  // _____________________________________________________________________
  
  
  function Response(quest,quest_nom_pp)
  {
    var ending1;
    var ending2;
    var ending3;
    var a;
  
    comment = '';
    comment1 = quest_nom_pp+' вопрос. ';
  
    if ( nmbr_of_tries <= maxtries )
      {  if ( nmbr_of_tries==1 )
         {  answered_questions_w = answered_questions_w + 1;
            maxball_w = maxball_w + ballik;
            w=ballik;
            }
            else
            {  w = ballik/nmbr_of_tries;
                   if (corr_done==0)
                    { comment1 = comment1+nmbr_of_tries+' попытка. ';
                    };
            };
  
            if (correct==true)
            { if (corr_done==0)
               { ball_w = ball_w + w;
                 comment1 = comment1+'Ответ правильный. ';
                   }
                  else
                   { comment1 = comment1+'Уже был дан правильный ответ. ';
                   };
            }
            else
            { comment1 = comment1+'Ответ неправильный. ';
              if (corr_done==1)
                   { comment1 = comment1+'А ведь Вы ранее ответили на этот вопрос правильно. ';
                   };
            };
      }
      else
       {  comment1 = 'Попытки ответа на этот вопрос исчерпаны. ';
       };
  
    // окончания
      a = answered_questions_w  - Math.floor(answered_questions_w/10)*10;
      if (a==1) {ending1='';}
      else {  if ((a==2)||(a==3)||(a==4)) {ending1='а'}
              else                        {ending1='ов'}
           };
  
      if ( ball_w - Math.floor(ball_w) == 0)
           {  a = ball_w - Math.floor(ball_w/10)*10;
          if (a==1)  {ending2='';}
          else {  if ((a==2)||(a==3)||(a==4))  {ending2='а'}
                  else                         {ending2='ов'}
               };
          if (a==11)  {ending2='ов'};
           }
          else {ending2='а'};
  
          if (maxball_w==1){ending3='ого'}
              else {ending3='ых'};
  
    comment= 'По результатам ответов на '+answered_questions_w+' вопрос'+ending1+' из '+questions+' Вы набрали '+ball_w+' балл'+ending2+' из '+maxball_w+' возможн'+ending3;
  
    if (correct==true) {txtcol=inputTextRight};
    else {txtcol=inputTextWrong};
    
    if ( nmbr_of_tries > maxtries ){txtcol=inputText};
  
    parent.response.document.f.comment_show.style.color = txtcol;
    parent.response.document.f.comment_show.value = comment1+comment;
    parent.response.document.f.ball_show.value = ball_w;

    document.res.ball.value = ball_w;
    
    parent.response.answered_questions = answered_questions_w;
    parent.response.ball = ball_w;
    parent.response.maxball = maxball_w;
    
 };   //Response
 
  // _____________________________________________________________________
    
    
    function Result()
    { var rate='';
      var comment2='';
      var i;
    
      if (answered_questions_w==questions)
       { 
         if (ball_w==maxball_w) {rate=resultEstimation[0]}
         else
          { for (i=1; i<resultEstimation.length; i++)
            { if ((ball_w<(maxball_w*resultPercent[i-1])) && (ball_w>=(maxball_w*resultPercent[i]))) 
              {  rate=resultEstimation[i];
                 break
              }
            }
          }  
        }
      else
       { rate='А как же ';
         if (answered_questions_w==questions-1) {rate = rate+'еще один вопрос?'}
         else                 {rate = rate+'остальные вопросы?'};
       };
    
      if (regname != '') { comment2 = regname+'! ' }
      else { comment2 = '' };
    
      if (answered_questions_w>0)
       { comment2 = comment2 + 'Тест выполнен ';
         if (answered_questions_w<questions) { comment2 = comment2+'частично. ' }
         else                              { comment2 = comment2+'. ' };
       };
      else
       { comment2 = comment2 + 'Вы ни разу не нажали кнопку "Ответ готов"';
       };
    
      parent.response.document.f.comment_show.style.color = inputText;
      if (answered_questions_w>0)
       { parent.response.document.f.comment_show.value = comment2+comment+'. '+rate
       }
      else
       { parent.response.document.f.comment_show.value = comment2;
       };
       
      document.res.regname.value=regname; 
    
    }; //Result
    
    // _____________________________________________________________________
    
